Bug#931530: piuparts.debian.org: piuparts needs to wait for binaey-all build before trying to test

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#931530: piuparts.debian.org: piuparts needs to wait for binaey-all build before trying to test

Andreas Metzler-2
Package: piuparts.debian.org
Severity: normal

Hello,

exim4 4.92-9 is marked as failing in piuparts:
------------------------
https://piuparts.debian.org/sid/source/e/exim4.html
Source: exim4 piuparts summary: failed Version: 4.92-9
[...]
Binary: exim4 unknown package
Binary: exim4-base piuparts-result: dependency-does-not-exist N/A Version: 4.92-9
Binary: exim4-config unknown package
Binary: exim4-daemon-heavy piuparts-result: dependency-cannot-be-tested N/A Version: 4.92-9
Binary: exim4-daemon-light piuparts-result: dependency-cannot-be-tested N/A Version: 4.92-9
Binary: exim4-dev piuparts-result: successfully-tested 4.92-9 Version: 4.92-9
Binary: eximon4 piuparts-result: dependency-cannot-be-tested N/A Version: 4.92-9
------------------------

I am not completely sure but I think piuparts testing was triggered too
early, before the binary-all package was uploaded.

cu Andreas

Reply | Threaded
Open this post in threaded view
|

Bug#931530: [Piuparts-devel] Bug#931530: piuparts.debian.org: piuparts needs to wait for binaey-all build before trying to test

Andreas Beckmann-4
Control: tag -1 wontfix

On 07/07/2019 10.39, Andreas Metzler wrote:

> exim4 4.92-9 is marked as failing in piuparts:
> ------------------------
> https://piuparts.debian.org/sid/source/e/exim4.html
> Source: exim4 piuparts summary: failed Version: 4.92-9
> [...]
> Binary: exim4 unknown package
> Binary: exim4-base piuparts-result: dependency-does-not-exist N/A Version: 4.92-9
> Binary: exim4-config unknown package
> Binary: exim4-daemon-heavy piuparts-result: dependency-cannot-be-tested N/A Version: 4.92-9
> Binary: exim4-daemon-light piuparts-result: dependency-cannot-be-tested N/A Version: 4.92-9
> Binary: exim4-dev piuparts-result: successfully-tested 4.92-9 Version: 4.92-9
> Binary: eximon4 piuparts-result: dependency-cannot-be-tested N/A Version: 4.92-9
> ------------------------
>
> I am not completely sure but I think piuparts testing was triggered too
> early, before the binary-all package was uploaded.

piuparts tests are triggered by new binaries appearing in Packages
files. It does not know about "missing binary-all uploads".
Dependencies are taken into account with versions dropped, there is no
full dependency resolver in piuparts, apt will do that during the test.
It's better to have a log with an actual error than not doing a test
without leaving a good explanation somewhere.
Source packages are only taken into account for the reporting part.

This kind of failure is automatically retried quickly.


Andreas